package cn.yw.archive.companymanage.model;

import cn.base.bean.BaseBean;
//[公司信息管理]

public class YwarchivecompanyBean extends BaseBean implements java.io.Serializable {
	private String companyid;//[公司id]
	private String companynum;//[公司编号]
	private String companyname;//[公司名称]
	private String companyabbreviation;//[公司简称]
	private String companytype;//[公司类型]
	private String legalpeople;//[法定代表人]
	private String establishtime;//[成立时间]
	private String companycontact;//[公司联系人]
	private String contackmobilephone;//[联系手机]
	private String contackphone;//[联系电话]
	private String contackaddrarea;//[联系地址区划]
	private String contackaddress;//[联系地址详址]
	private String companysynopsis;//[公司简介]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setCompanyid(String companyid){
		this.companyid = companyid;
	}
	public String getCompanyid(){
		return companyid;
	}
	public void setCompanynum(String companynum){
		this.companynum = companynum;
	}
	public String getCompanynum(){
		return companynum;
	}
	public void setCompanyname(String companyname){
		this.companyname = companyname;
	}
	public String getCompanyname(){
		return companyname;
	}
	public String getCompanyabbreviation() {
		return companyabbreviation;
	}
	public void setCompanyabbreviation(String companyabbreviation) {
		this.companyabbreviation = companyabbreviation;
	}
	public void setCompanytype(String companytype){
		this.companytype = companytype;
	}
	public String getCompanytype(){
		return companytype;
	}
	public void setLegalpeople(String legalpeople){
		this.legalpeople = legalpeople;
	}
	public String getLegalpeople(){
		return legalpeople;
	}
	public void setEstablishtime(String establishtime){
		this.establishtime = establishtime;
	}
	public String getEstablishtime(){
		return establishtime;
	}
	public void setCompanycontact(String companycontact){
		this.companycontact = companycontact;
	}
	public String getCompanycontact(){
		return companycontact;
	}
	public void setContackmobilephone(String contackmobilephone){
		this.contackmobilephone = contackmobilephone;
	}
	public String getContackmobilephone(){
		return contackmobilephone;
	}
	public void setContackphone(String contackphone){
		this.contackphone = contackphone;
	}
	public String getContackphone(){
		return contackphone;
	}
	public void setContackaddrarea(String contackaddrarea){
		this.contackaddrarea = contackaddrarea;
	}
	public String getContackaddrarea(){
		return contackaddrarea;
	}
	public void setContackaddress(String contackaddress){
		this.contackaddress = contackaddress;
	}
	public String getContackaddress(){
		return contackaddress;
	}
	public void setCompanysynopsis(String companysynopsis){
		this.companysynopsis = companysynopsis;
	}
	public String getCompanysynopsis(){
		return companysynopsis;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}